export declare enum AuthResult {
    Success = "Success"
}
export interface IAuthResult {
    success: boolean;
    message?: string;
}
export interface AuthProvider {
    signIn: (username: string, password: string) => Promise<IAuthResult>;
    signOut: () => Promise<IAuthResult>;
    signUp: (username: string, password: string, email: string) => Promise<IAuthResult>;
    lockAccount: (username: string) => Promise<IAuthResult>;
    resetPassword: (username: string) => Promise<IAuthResult>;
    confirmSignUp: (username: string, confirmationCode: string) => Promise<IAuthResult>;
    resendSignUp: (username: string) => Promise<IAuthResult>;
    forgotPassword: (username: string) => Promise<IAuthResult>;
    forgotPasswordConfirmationCode: (username: string, confirmationCode: string, newPassword: string) => Promise<IAuthResult>;
}
export interface AuthIntegration {
    signIn(username: string, password: string): Promise<IAuthResult>;
    signOut(): Promise<IAuthResult>;
    signUp(username: string, password: string, email: string): Promise<IAuthResult>;
    lockAccount(username: string): Promise<IAuthResult>;
    resetPassword(username: string): Promise<IAuthResult>;
    confirmSignUp(username: string, code: string): Promise<IAuthResult>;
    resendSignUp(username: string): Promise<IAuthResult>;
    forgotPassword(username: string): Promise<IAuthResult>;
    forgotPasswordConfirmationCode(username: string, code: string, newPassword: string): Promise<IAuthResult>;
}
