"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAuthProvider = void 0;
const createAuthProvider = (integration) => {
    return {
        signIn: (username, password) => __awaiter(void 0, void 0, void 0, function* () {
            return integration.signIn(username, password);
        }),
        signOut: () => __awaiter(void 0, void 0, void 0, function* () {
            return integration.signOut();
        }),
        signUp: (username, password, email) => __awaiter(void 0, void 0, void 0, function* () {
            return integration.signUp(username, password, email);
        }),
        lockAccount: (username) => __awaiter(void 0, void 0, void 0, function* () {
            return integration.lockAccount(username);
        }),
        resetPassword: (username) => __awaiter(void 0, void 0, void 0, function* () {
            return integration.resetPassword(username);
        }),
        confirmSignUp: (username, code) => __awaiter(void 0, void 0, void 0, function* () {
            return integration.confirmSignUp(username, code);
        }),
        resendSignUp: (username) => __awaiter(void 0, void 0, void 0, function* () {
            return integration.resendSignUp(username);
        }),
        forgotPassword: (username) => __awaiter(void 0, void 0, void 0, function* () {
            return integration.forgotPassword(username);
        }),
        forgotPasswordConfirmationCode: (username, code, newPassword) => __awaiter(void 0, void 0, void 0, function* () {
            return integration.forgotPasswordConfirmationCode(username, code, newPassword);
        }),
    };
};
exports.createAuthProvider = createAuthProvider;
